package com.xalys.demo.webworker.client;

import jsinterop.annotations.JsMethod;
import jsinterop.annotations.JsOverlay;
import jsinterop.annotations.JsPackage;
import jsinterop.annotations.JsType;

@JsType(isNative=true, name="Console", namespace=JsPackage.GLOBAL)
public class Console {
  public Console() {}
 
  @JsMethod(name="log")
  private native void nativeLog(String message);
  
  @JsOverlay
  public static final void log(String message) {
    Toolkit.get().nativeLog(message);
  } 
    
  @JsOverlay
  public static final Console get() {
    return Toolkit.get();
  } 
  
  private static class Toolkit {
    public static native Console get() /*-{
      return console;
    }-*/; 
  }
}
